I need Safari or Firefox (Link please)

Discussion in 'Mac Basics and Help' started by Caddy, Jan 16, 2008.

  1. Caddy macrumors member

    Joined:
    Mar 13, 2003
    Location:
    Chicago
    #1
    I just reinstalled the hard drive on my "new" ibook. The OS is 10. I can only find the Safari downloads for the newer operating systems (OS 10.4 and up). I used to have a mac back in the day (see now defunct sigline) and I was able to install safari, so I know there's a safari program out there for the older macs, right? I just can't find it!

    I'd also like to install firefox and I am going absolutely nuts! After two tried where it downloads, I press the dmg icon and I get the message:
    Unable to verify Firefox whatever.

    In the meantime I am stuck with an outdated copy of IE 5. I can't even view yahoo! I know this computer is a bit old, but it isn't a dinosaur. Heck, my XH and I had powerbooks back in 2004 and I was able to install firefox then! What is up with this?
     
  2. Caddy thread starter macrumors member

    Joined:
    Mar 13, 2003
    Location:
    Chicago
    #3
    Okay, from the reading I've done, it seems like there is no browser available for 10.0.4, correct? That sucks. Last night, though, we were able to install firefox and it worked great. Now I can't get anything to install. Should I upgrade to OS 10.4 or something? Can my system even handle it? 20GB/600 mhz/256 ram. Will this slow it down a lot?
     
  3. Neil321 macrumors 68040

    Neil321

    Joined:
    Nov 6, 2007
    Location:
    Britain, Avatar Created By Bartelby
    #4
    not sure but if you google system requirements for 10.4 it should tell you
     
  4. Manda macrumors regular

    Manda

    Joined:
    Jan 16, 2008
    Location:
    Basingstoke, UK
    #5
    It will run tiger i know this as my mums mac is a ibook g3 600mhz and is running tiger well a little slow but not bad. Good luck
     

Share This Page